<Activity mc:Ignorable="sap sap2010" x:Class="Salesforce___Download_report_as_XLSX" mva:VisualBasic.Settings="{x:Null}" sap:VirtualizedContainerService.HintSize="1091,6605" sap2010:WorkflowViewState.IdRef="Salesforce - Download report as XLSX_1" xmlns="http://schemas.microsoft.com/netfx/2009/xaml/activities" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:mva="clr-namespace:Microsoft.VisualBasic.Activities;assembly=System.Activities" xmlns:sap="http://schemas.microsoft.com/netfx/2009/xaml/activities/presentation" xmlns:sap2010="http://schemas.microsoft.com/netfx/2010/xaml/activities/presentation" xmlns:scg="clr-namespace:System.Collections.Generic;assembly=mscorlib" xmlns:sco="clr-namespace:System.Collections.ObjectModel;assembly=mscorlib" xmlns:ui="http://schemas.uipath.com/workflow/activities" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <TextExpression.NamespacesForImplementation>
    <scg:List x:TypeArguments="x:String" Capacity="27">
      <x:String>System.Activities</x:String>
      <x:String>System.Activities.Statements</x:String>
      <x:String>System.Activities.Expressions</x:String>
      <x:String>System.Activities.Validation</x:String>
      <x:String>System.Activities.XamlIntegration</x:String>
      <x:String>Microsoft.VisualBasic</x:String>
      <x:String>Microsoft.VisualBasic.Activities</x:String>
      <x:String>System</x:String>
      <x:String>System.Collections</x:String>
      <x:String>System.Collections.Generic</x:String>
      <x:String>System.Data</x:String>
      <x:String>System.Diagnostics</x:String>
      <x:String>System.Drawing</x:String>
      <x:String>System.IO</x:String>
      <x:String>System.Linq</x:String>
      <x:String>System.Net.Mail</x:String>
      <x:String>System.Xml</x:String>
      <x:String>System.Xml.Linq</x:String>
      <x:String>UiPath.Core</x:String>
      <x:String>UiPath.Core.Activities</x:String>
      <x:String>System.Windows.Markup</x:String>
      <x:String>Microsoft.VisualBasic.CompilerServices</x:String>
      <x:String>System.Activities.DynamicUpdate</x:String>
      <x:String>System.Reflection</x:String>
      <x:String>System.Runtime.InteropServices</x:String>
      <x:String>System.Collections.ObjectModel</x:String>
      <x:String>System.Runtime.Serialization</x:String>
    </scg:List>
  </TextExpression.NamespacesForImplementation>
  <TextExpression.ReferencesForImplementation>
    <scg:List x:TypeArguments="AssemblyReference" Capacity="29">
      <AssemblyReference>System.Activities</AssemblyReference>
      <AssemblyReference>Microsoft.VisualBasic</AssemblyReference>
      <AssemblyReference>mscorlib</AssemblyReference>
      <AssemblyReference>System.Data</AssemblyReference>
      <AssemblyReference>System.Data.DataSetExtensions</AssemblyReference>
      <AssemblyReference>System</AssemblyReference>
      <AssemblyReference>System.Drawing</AssemblyReference>
      <AssemblyReference>System.Core</AssemblyReference>
      <AssemblyReference>System.Xml</AssemblyReference>
      <AssemblyReference>System.Xml.Linq</AssemblyReference>
      <AssemblyReference>PresentationFramework</AssemblyReference>
      <AssemblyReference>WindowsBase</AssemblyReference>
      <AssemblyReference>PresentationCore</AssemblyReference>
      <AssemblyReference>System.Xaml</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities</AssemblyReference>
      <AssemblyReference>UiPath.UiAutomation.Activities</AssemblyReference>
      <AssemblyReference>System.ValueTuple</AssemblyReference>
      <AssemblyReference>System.ServiceModel</AssemblyReference>
      <AssemblyReference>UiPath.Excel</AssemblyReference>
      <AssemblyReference>UiPath.Mail</AssemblyReference>
      <AssemblyReference>UiPath.Studio.Plugin.Workflow</AssemblyReference>
      <AssemblyReference>UiPath.Cryptography</AssemblyReference>
      <AssemblyReference>System.ComponentModel.Composition</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities.Design</AssemblyReference>
      <AssemblyReference>System.Memory</AssemblyReference>
      <AssemblyReference>Microsoft.Bcl.AsyncInterfaces</AssemblyReference>
      <AssemblyReference>UiPath.OCR.Activities.Design</AssemblyReference>
      <AssemblyReference>UiPath.UIAutomationCore</AssemblyReference>
      <AssemblyReference>System.Runtime.WindowsRuntime</AssemblyReference>
    </scg:List>
  </TextExpression.ReferencesForImplementation>
  <Sequence DisplayName="Global" sap:VirtualizedContainerService.HintSize="705,6500" sap2010:WorkflowViewState.IdRef="Sequence_1">
    <Sequence.Variables>
      <Variable x:TypeArguments="x:String" Default="Salesforce_JPP_Approve_and_Finalise" Name="componentName" />
      <Variable x:TypeArguments="x:Boolean" Name="submitAllBtnExists" />
      <Variable x:TypeArguments="x:Boolean" Name="approveBtnExists" />
      <Variable x:TypeArguments="x:Boolean" Name="secondApproveBtnExists" />
      <Variable x:TypeArguments="x:Int32" Name="counter" />
      <Variable x:TypeArguments="x:Boolean" Name="finaliseBtnExists" />
      <Variable x:TypeArguments="x:Boolean" Name="nextBtnExists" />
      <Variable x:TypeArguments="x:Boolean" Name="successMsgExists" />
      <Variable x:TypeArguments="x:Boolean" Name="finishBtnExists" />
    </Sequence.Variables>
    <sap:WorkflowViewStateService.ViewState>
      <scg:Dictionary x:TypeArguments="x:String, x:Object">
        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
      </scg:Dictionary>
    </sap:WorkflowViewStateService.ViewState>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="663,91" sap2010:WorkflowViewState.IdRef="LogMessage_1" Level="Info" Message="[&quot;Start: &quot;+componentName]" />
    <Sequence DisplayName="Approve" sap:VirtualizedContainerService.HintSize="663,3699" sap2010:WorkflowViewState.IdRef="Sequence_74">
      <Sequence.Variables>
        <Variable x:TypeArguments="x:Boolean" Name="proceedBtnExists" />
      </Sequence.Variables>
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <ui:UiElementExists DisplayName="Element Exists - Submit all lines for approval" Exists="[submitAllBtnExists]" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="UiElementExists_40">
        <ui:UiElementExists.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="216ad55335422b37536da954b83de9ff" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Submit All Lines for Approval' parentid='brandBand_*' tag='BUTTON' type='button' /&gt;" TimeoutMS="30000">
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:UiElementExists.Target>
      </ui:UiElementExists>
      <If Condition="[submitAllBtnExists]" DisplayName="If submitAllBtnExists" sap:VirtualizedContainerService.HintSize="621,51" sap2010:WorkflowViewState.IdRef="If_48">
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">False</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
        <If.Else>
          <Sequence DisplayName="AE - submit button does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_62">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_41" Level="Error" Message="[componentName+&quot;: submit for approval button does not exist&quot;]" />
            <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: submit for approval button does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_37" />
          </Sequence>
        </If.Else>
      </If>
      <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" SimulateClick="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click Submit all lines" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="Click_46" KeyModifiers="None" MouseButton="BTN_LEFT">
        <ui:Click.CursorPosition>
          <ui:CursorPosition Position="Center">
            <ui:CursorPosition.OffsetX>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetX>
            <ui:CursorPosition.OffsetY>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetY>
          </ui:CursorPosition>
        </ui:Click.CursorPosition>
        <ui:Click.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="37a841da-a8b7-46c6-b641-e6e442ef3030" InformativeScreenshot="b62ea0fce706086517c81a77064a062d" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Submit All Lines for Approval' parentid='brandBand_*' tag='BUTTON' type='button' /&gt;">
            <ui:Target.TimeoutMS>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:Target.TimeoutMS>
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:Click.Target>
      </ui:Click>
      <ui:UiElementExists DisplayName="Element Exists - proceed btn" Exists="[proceedBtnExists]" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="UiElementExists_48">
        <ui:UiElementExists.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="52a4a91e84511997be1714c4ab44f937" Selector="&lt;html app='chrome.exe' title='* Salesforce' /&gt;&lt;webctrl aaname='Proceed' parentid='brandBand_2' parentname='header' tag='BUTTON' /&gt;" TimeoutMS="30000">
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:UiElementExists.Target>
      </ui:UiElementExists>
      <ui:CommentOut DisplayName="Comment Out" sap:VirtualizedContainerService.HintSize="621,51" sap2010:WorkflowViewState.IdRef="CommentOut_1">
        <ui:CommentOut.Body>
          <Sequence DisplayName="Ignored Activities" sap:VirtualizedContainerService.HintSize="376,198" sap2010:WorkflowViewState.IdRef="Sequence_77">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:UiElementExists DisplayName="Element Exists - Approve btn" Exists="[approveBtnExists]" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="UiElementExists_41">
              <ui:UiElementExists.Target>
                <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="995684add2bde9a5f8e7f8330ffb5df0" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Approve' tag='BUTTON' type='button' /&gt;" TimeoutMS="30000">
                  <ui:Target.WaitForReady>
                    <InArgument x:TypeArguments="ui:WaitForReady" />
                  </ui:Target.WaitForReady>
                </ui:Target>
              </ui:UiElementExists.Target>
            </ui:UiElementExists>
          </Sequence>
        </ui:CommentOut.Body>
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">False</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
      </ui:CommentOut>
      <If Condition="[proceedBtnExists]" DisplayName="If proceed BtnExists" sap:VirtualizedContainerService.HintSize="621,393" sap2010:WorkflowViewState.IdRef="If_49">
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
        <If.Then>
          <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="Delay_1">
            <TextExpression.Namespaces>
              <sco:Collection x:TypeArguments="x:String">
                <x:String>System.Activities</x:String>
                <x:String>System.Activities.Statements</x:String>
                <x:String>System.Activities.Expressions</x:String>
                <x:String>System.Activities.Validation</x:String>
                <x:String>System.Activities.XamlIntegration</x:String>
                <x:String>Microsoft.VisualBasic.Activities</x:String>
                <x:String>System</x:String>
                <x:String>System.Collections.Generic</x:String>
                <x:String>System.Data</x:String>
                <x:String>System.Diagnostics</x:String>
                <x:String>System.IO</x:String>
                <x:String>System.Linq</x:String>
                <x:String>System.Management.Automation</x:String>
                <x:String>System.Net.Mail</x:String>
                <x:String>System.Xml</x:String>
                <x:String>System.Xml.Linq</x:String>
                <x:String>UiPath.Library</x:String>
                <x:String>System.Windows.Markup</x:String>
              </sco:Collection>
            </TextExpression.Namespaces>
            <TextExpression.References>
              <sco:Collection x:TypeArguments="AssemblyReference">
                <AssemblyReference>System.Activities</AssemblyReference>
                <AssemblyReference>mscorlib</AssemblyReference>
                <AssemblyReference>System.Data</AssemblyReference>
                <AssemblyReference>System</AssemblyReference>
                <AssemblyReference>System.Core</AssemblyReference>
                <AssemblyReference>System.Management.Automation</AssemblyReference>
                <AssemblyReference>System.Xml</AssemblyReference>
                <AssemblyReference>System.Xml.Linq</AssemblyReference>
                <AssemblyReference>UiPath.Library</AssemblyReference>
                <AssemblyReference>PresentationFramework</AssemblyReference>
                <AssemblyReference>WindowsBase</AssemblyReference>
                <AssemblyReference>PresentationCore</AssemblyReference>
                <AssemblyReference>System.Xaml</AssemblyReference>
              </sco:Collection>
            </TextExpression.References>
            <sap2010:WorkflowViewState.ViewStateManager>
              <sap2010:ViewStateManager>
                <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
              </sap2010:ViewStateManager>
            </sap2010:WorkflowViewState.ViewStateManager>
          </Delay>
        </If.Then>
        <If.Else>
          <Sequence DisplayName="AE - proceed button does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_63">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_42" Level="Error" Message="[componentName+&quot;: proceed button does not exist&quot;]" />
            <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: proceed button does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_38" />
          </Sequence>
        </If.Else>
      </If>
      <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click proceed" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="Click_47" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
        <ui:Click.CursorPosition>
          <ui:CursorPosition Position="Center">
            <ui:CursorPosition.OffsetX>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetX>
            <ui:CursorPosition.OffsetY>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetY>
          </ui:CursorPosition>
        </ui:Click.CursorPosition>
        <ui:Click.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="fbecc3d4-b04a-4f62-a3c4-fd8126f0831c" InformativeScreenshot="52a4a91e84511997be1714c4ab44f937" Selector="&lt;html app='chrome.exe' title='* Salesforce' /&gt;&lt;webctrl aaname='Proceed' parentid='brandBand_2' parentname='header' tag='BUTTON' /&gt;">
            <ui:Target.TimeoutMS>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:Target.TimeoutMS>
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:Click.Target>
      </ui:Click>
      <ui:UiElementExists DisplayName="Element Exists - Approve btn" Exists="[approveBtnExists]" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="UiElementExists_42">
        <ui:UiElementExists.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="b14a314c2a7d0bf350abc2978aa23104" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Approve' parentid='brandBand_*' tag='BUTTON' class='slds-button slds-button_success' /&gt;" TimeoutMS="30000">
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:UiElementExists.Target>
      </ui:UiElementExists>
      <If Condition="[approveBtnExists]" DisplayName="If ApproveBtnExists" sap:VirtualizedContainerService.HintSize="621,393" sap2010:WorkflowViewState.IdRef="If_50">
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
        <If.Else>
          <Sequence DisplayName="AE - second approve button does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_64">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_43" Level="Error" Message="[componentName+&quot;: approve button does not exist&quot;]" />
            <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: approve button does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_39" />
          </Sequence>
        </If.Else>
      </If>
      <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click approve" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="Click_48" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
        <ui:Click.CursorPosition>
          <ui:CursorPosition Position="Center">
            <ui:CursorPosition.OffsetX>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetX>
            <ui:CursorPosition.OffsetY>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetY>
          </ui:CursorPosition>
        </ui:Click.CursorPosition>
        <ui:Click.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="fbecc3d4-b04a-4f62-a3c4-fd8126f0831c" InformativeScreenshot="0f8c20a417fda0bf11a5f39824153a56" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Approve' parentid='brandBand_*' tag='BUTTON' class='slds-button slds-button_success' /&gt;">
            <ui:Target.TimeoutMS>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:Target.TimeoutMS>
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:Click.Target>
      </ui:Click>
      <ui:UiElementExists DisplayName="Element Exists - Approve btn" Exists="[secondApproveBtnExists]" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="UiElementExists_49">
        <ui:UiElementExists.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="af6371d7e5cf40e5286801de061c2abc" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Approve' parentid='brandBand_2' parentname='header' tag='BUTTON' innertext='Approve' parentclass='slds-modal__footer' /&gt;" TimeoutMS="30000">
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:UiElementExists.Target>
      </ui:UiElementExists>
      <If Condition="[secondApproveBtnExists]" DisplayName="If secondApproveBtnExists" sap:VirtualizedContainerService.HintSize="621,393" sap2010:WorkflowViewState.IdRef="If_55">
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
        <If.Else>
          <Sequence DisplayName="AE - second approve button does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_78">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_48" Level="Error" Message="[componentName+&quot;: second approve button does not exist&quot;]" />
            <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: second approve button does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_44" />
          </Sequence>
        </If.Else>
      </If>
      <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click approve" sap:VirtualizedContainerService.HintSize="621,106" sap2010:WorkflowViewState.IdRef="Click_52" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
        <ui:Click.CursorPosition>
          <ui:CursorPosition Position="Center">
            <ui:CursorPosition.OffsetX>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetX>
            <ui:CursorPosition.OffsetY>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetY>
          </ui:CursorPosition>
        </ui:Click.CursorPosition>
        <ui:Click.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="fbecc3d4-b04a-4f62-a3c4-fd8126f0831c" InformativeScreenshot="0f8c20a417fda0bf11a5f39824153a56" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Approve' parentid='brandBand_2' parentname='header' tag='BUTTON' innertext='Approve' parentclass='slds-modal__footer' /&gt;">
            <ui:Target.TimeoutMS>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:Target.TimeoutMS>
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:Click.Target>
      </ui:Click>
      <ui:InterruptibleDoWhile Condition="[secondApproveBtnExists and counter&lt;30]" DisplayName="Do While" sap:VirtualizedContainerService.HintSize="621,525" sap2010:WorkflowViewState.IdRef="InterruptibleDoWhile_1">
        <ui:InterruptibleDoWhile.Body>
          <Sequence DisplayName="Body" sap:VirtualizedContainerService.HintSize="376,360" sap2010:WorkflowViewState.IdRef="Sequence_65">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:UiElementExists DisplayName="Element Exists - Approve btn" Exists="[secondApproveBtnExists]" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="UiElementExists_47">
              <ui:UiElementExists.Target>
                <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="b14a314c2a7d0bf350abc2978aa23104" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Approve' parentid='brandBand_*' tag='BUTTON' class='slds-button slds-button_success' /&gt;" TimeoutMS="1000">
                  <ui:Target.WaitForReady>
                    <InArgument x:TypeArguments="ui:WaitForReady" />
                  </ui:Target.WaitForReady>
                </ui:Target>
              </ui:UiElementExists.Target>
            </ui:UiElementExists>
            <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Delay_2">
              <TextExpression.Namespaces>
                <sco:Collection x:TypeArguments="x:String">
                  <x:String>System.Activities</x:String>
                  <x:String>System.Activities.Statements</x:String>
                  <x:String>System.Activities.Expressions</x:String>
                  <x:String>System.Activities.Validation</x:String>
                  <x:String>System.Activities.XamlIntegration</x:String>
                  <x:String>Microsoft.VisualBasic.Activities</x:String>
                  <x:String>System</x:String>
                  <x:String>System.Collections.Generic</x:String>
                  <x:String>System.Data</x:String>
                  <x:String>System.Diagnostics</x:String>
                  <x:String>System.IO</x:String>
                  <x:String>System.Linq</x:String>
                  <x:String>System.Management.Automation</x:String>
                  <x:String>System.Net.Mail</x:String>
                  <x:String>System.Xml</x:String>
                  <x:String>System.Xml.Linq</x:String>
                  <x:String>UiPath.Library</x:String>
                  <x:String>System.Windows.Markup</x:String>
                </sco:Collection>
              </TextExpression.Namespaces>
              <TextExpression.References>
                <sco:Collection x:TypeArguments="AssemblyReference">
                  <AssemblyReference>System.Activities</AssemblyReference>
                  <AssemblyReference>mscorlib</AssemblyReference>
                  <AssemblyReference>System.Data</AssemblyReference>
                  <AssemblyReference>System</AssemblyReference>
                  <AssemblyReference>System.Core</AssemblyReference>
                  <AssemblyReference>System.Management.Automation</AssemblyReference>
                  <AssemblyReference>System.Xml</AssemblyReference>
                  <AssemblyReference>System.Xml.Linq</AssemblyReference>
                  <AssemblyReference>UiPath.Library</AssemblyReference>
                  <AssemblyReference>PresentationFramework</AssemblyReference>
                  <AssemblyReference>WindowsBase</AssemblyReference>
                  <AssemblyReference>PresentationCore</AssemblyReference>
                  <AssemblyReference>System.Xaml</AssemblyReference>
                </sco:Collection>
              </TextExpression.References>
              <sap2010:WorkflowViewState.ViewStateManager>
                <sap2010:ViewStateManager>
                  <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
                </sap2010:ViewStateManager>
              </sap2010:WorkflowViewState.ViewStateManager>
            </Delay>
            <Assign sap:VirtualizedContainerService.HintSize="334,60" sap2010:WorkflowViewState.IdRef="Assign_1">
              <Assign.To>
                <OutArgument x:TypeArguments="x:Int32">[counter]</OutArgument>
              </Assign.To>
              <Assign.Value>
                <InArgument x:TypeArguments="x:Int32">[counter+1]</InArgument>
              </Assign.Value>
            </Assign>
          </Sequence>
        </ui:InterruptibleDoWhile.Body>
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
      </ui:InterruptibleDoWhile>
      <If Condition="[counter&lt;30]" DisplayName="If apporved" sap:VirtualizedContainerService.HintSize="621,393" sap2010:WorkflowViewState.IdRef="If_51">
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
        <If.Else>
          <Sequence DisplayName="AE - Unable to confirm if quote lines approved" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_66">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_44" Level="Error" Message="[componentName+&quot;: Unable to confirm if quote lines approved&quot;]" />
            <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: Unable to confirm if quote lines approved&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_40" />
          </Sequence>
        </If.Else>
      </If>
    </Sequence>
    <Sequence DisplayName="Finalise" sap:VirtualizedContainerService.HintSize="663,2407" sap2010:WorkflowViewState.IdRef="Sequence_76">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click expand" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="Click_45" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="True">
        <ui:Click.CursorPosition>
          <ui:CursorPosition Position="Center">
            <ui:CursorPosition.OffsetX>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetX>
            <ui:CursorPosition.OffsetY>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetY>
          </ui:CursorPosition>
        </ui:Click.CursorPosition>
        <ui:Click.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="fbecc3d4-b04a-4f62-a3c4-fd8126f0831c" InformativeScreenshot="1e98417b053af15f82c060ee998375dd" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Show more actions' parentid='brandBand_*' tag='BUTTON' type='button' /&gt;">
            <ui:Target.TimeoutMS>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:Target.TimeoutMS>
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:Click.Target>
      </ui:Click>
      <ui:UiElementExists DisplayName="Element Exists - Finalize quote" Exists="[finaliseBtnExists]" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="UiElementExists_43">
        <ui:UiElementExists.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="31c64cecefaa02320ab212164f772905" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl tag='A' aaname='Finalize Quote' /&gt;" TimeoutMS="30000">
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:UiElementExists.Target>
      </ui:UiElementExists>
      <If Condition="[finaliseBtnExists]" DisplayName="If finaliseBtnExists" sap:VirtualizedContainerService.HintSize="521,51" sap2010:WorkflowViewState.IdRef="If_52">
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">False</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
        <If.Then>
          <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="200,22" sap2010:WorkflowViewState.IdRef="Delay_1">
            <TextExpression.Namespaces>
              <sco:Collection x:TypeArguments="x:String">
                <x:String>System.Activities</x:String>
                <x:String>System.Activities.Statements</x:String>
                <x:String>System.Activities.Expressions</x:String>
                <x:String>System.Activities.Validation</x:String>
                <x:String>System.Activities.XamlIntegration</x:String>
                <x:String>Microsoft.VisualBasic.Activities</x:String>
                <x:String>System</x:String>
                <x:String>System.Collections.Generic</x:String>
                <x:String>System.Data</x:String>
                <x:String>System.Diagnostics</x:String>
                <x:String>System.IO</x:String>
                <x:String>System.Linq</x:String>
                <x:String>System.Management.Automation</x:String>
                <x:String>System.Net.Mail</x:String>
                <x:String>System.Xml</x:String>
                <x:String>System.Xml.Linq</x:String>
                <x:String>UiPath.Library</x:String>
                <x:String>System.Windows.Markup</x:String>
              </sco:Collection>
            </TextExpression.Namespaces>
            <TextExpression.References>
              <sco:Collection x:TypeArguments="AssemblyReference">
                <AssemblyReference>System.Activities</AssemblyReference>
                <AssemblyReference>mscorlib</AssemblyReference>
                <AssemblyReference>System.Data</AssemblyReference>
                <AssemblyReference>System</AssemblyReference>
                <AssemblyReference>System.Core</AssemblyReference>
                <AssemblyReference>System.Management.Automation</AssemblyReference>
                <AssemblyReference>System.Xml</AssemblyReference>
                <AssemblyReference>System.Xml.Linq</AssemblyReference>
                <AssemblyReference>UiPath.Library</AssemblyReference>
                <AssemblyReference>PresentationFramework</AssemblyReference>
                <AssemblyReference>WindowsBase</AssemblyReference>
                <AssemblyReference>PresentationCore</AssemblyReference>
                <AssemblyReference>System.Xaml</AssemblyReference>
              </sco:Collection>
            </TextExpression.References>
            <sap2010:WorkflowViewState.ViewStateManager>
              <sap2010:ViewStateManager>
                <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
              </sap2010:ViewStateManager>
            </sap2010:WorkflowViewState.ViewStateManager>
          </Delay>
        </If.Then>
        <If.Else>
          <Sequence DisplayName="AE - finalise quote button does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_67">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_45" Level="Error" Message="[componentName+&quot;: Finalise quote button does not exist&quot;]" />
            <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: Finalise quote button does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_41" />
          </Sequence>
        </If.Else>
      </If>
      <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click finalise quote" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="Click_49" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
        <ui:Click.CursorPosition>
          <ui:CursorPosition Position="Center">
            <ui:CursorPosition.OffsetX>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetX>
            <ui:CursorPosition.OffsetY>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetY>
          </ui:CursorPosition>
        </ui:Click.CursorPosition>
        <ui:Click.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="fbecc3d4-b04a-4f62-a3c4-fd8126f0831c" InformativeScreenshot="315849ff4eb0d0088112c34bbb26b2a5" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl tag='A' aaname='Finalize Quote' /&gt;">
            <ui:Target.TimeoutMS>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:Target.TimeoutMS>
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:Click.Target>
      </ui:Click>
      <ui:UiElementExists DisplayName="Element Exists - Next btn" Exists="[nextBtnExists]" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="UiElementExists_44">
        <ui:UiElementExists.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="14e421f828a0d77714714452010dd66d" Selector="&lt;html app='chrome.exe' title='Finalize Quote | Salesforce' /&gt;&lt;webctrl tag='BUTTON' type='button' aaname='Next' /&gt;" TimeoutMS="30000">
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:UiElementExists.Target>
      </ui:UiElementExists>
      <If Condition="[nextBtnExists]" DisplayName="If nextBtnExists" sap:VirtualizedContainerService.HintSize="521,51" sap2010:WorkflowViewState.IdRef="If_53">
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">False</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
        <If.Else>
          <Sequence DisplayName="AE - unable to finalise quote, Next button did not appear" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_68">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_46" Level="Error" Message="[componentName+&quot;: Unable to finalise quote, Next button did not appear&quot;]" />
            <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: Unable to finalise quote, Next button did not appear&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_42" />
          </Sequence>
        </If.Else>
      </If>
      <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click Next" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="Click_51" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="True">
        <ui:Click.CursorPosition>
          <ui:CursorPosition Position="Center">
            <ui:CursorPosition.OffsetX>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetX>
            <ui:CursorPosition.OffsetY>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetY>
          </ui:CursorPosition>
        </ui:Click.CursorPosition>
        <ui:Click.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="d0abc825-8247-4dc5-a714-780b13a5de2d" InformativeScreenshot="77a2384f2b62fe729c384e90e2c85a4d" Selector="&lt;html app='chrome.exe' title='Finalize Quote | Salesforce' /&gt;&lt;webctrl tag='BUTTON' type='button' aaname='Next' /&gt;">
            <ui:Target.TimeoutMS>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:Target.TimeoutMS>
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:Click.Target>
      </ui:Click>
      <ui:UiElementExists DisplayName="Element Exists - Quote finalized" Exists="[successMsgExists]" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="UiElementExists_45">
        <ui:UiElementExists.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="7dfb8cbc148f55069757cab2c487f340" Selector="&lt;html app='chrome.exe' title='Finalize Quote | Salesforce' /&gt;&lt;webctrl aaname='The Quote has been successfully finalized.' /&gt;" TimeoutMS="30000">
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:UiElementExists.Target>
      </ui:UiElementExists>
      <If Condition="[successMsgExists]" DisplayName="If successMsgExists" sap:VirtualizedContainerService.HintSize="521,51" sap2010:WorkflowViewState.IdRef="If_54">
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">False</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
        <If.Else>
          <Sequence DisplayName="AE - unable to finalise quote, quote successfully finalised message did not appear" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_69">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_47" Level="Error" Message="[componentName+&quot;: Unable to finalise quote, quote successfully finalised message did not appear&quot;]" />
            <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: Unable to finalise quote, quote successfully finalised message did not appear&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_43" />
          </Sequence>
        </If.Else>
      </If>
      <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click finish btn" sap:VirtualizedContainerService.HintSize="521,68" sap2010:WorkflowViewState.IdRef="Click_50" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="True">
        <ui:Click.CursorPosition>
          <ui:CursorPosition Position="Center">
            <ui:CursorPosition.OffsetX>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetX>
            <ui:CursorPosition.OffsetY>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetY>
          </ui:CursorPosition>
        </ui:Click.CursorPosition>
        <ui:Click.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="7f1b69fe-528d-488a-90b3-42f36f692630" Selector="&lt;html app='chrome.exe' title='Finalize Quote | Salesforce' /&gt;&lt;webctrl tag='BUTTON' type='button' aaname='Finish' /&gt;">
            <ui:Target.TimeoutMS>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:Target.TimeoutMS>
            <ui:Target.WaitForReady>
              <InArgument x:TypeArguments="ui:WaitForReady" />
            </ui:Target.WaitForReady>
          </ui:Target>
        </ui:Click.Target>
      </ui:Click>
      <Assign DisplayName="reset counter" sap:VirtualizedContainerService.HintSize="521,60" sap2010:WorkflowViewState.IdRef="Assign_2">
        <Assign.To>
          <OutArgument x:TypeArguments="x:Int32">[counter]</OutArgument>
        </Assign.To>
        <Assign.Value>
          <InArgument x:TypeArguments="x:Int32">0</InArgument>
        </Assign.Value>
      </Assign>
      <ui:InterruptibleDoWhile Condition="[finishBtnExists and counter&lt;30]" DisplayName="Do While" sap:VirtualizedContainerService.HintSize="521,525" sap2010:WorkflowViewState.IdRef="InterruptibleDoWhile_2">
        <ui:InterruptibleDoWhile.Body>
          <Sequence DisplayName="Body" sap:VirtualizedContainerService.HintSize="376,360" sap2010:WorkflowViewState.IdRef="Sequence_70">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:UiElementExists DisplayName="Element Exists - Finish btn" Exists="[finishBtnExists]" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="UiElementExists_46">
              <ui:UiElementExists.Target>
                <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="57884487fa02b0a5dd9a74494480a0f6" Selector="&lt;html app='chrome.exe' title='Finalize Quote | Salesforce' /&gt;&lt;webctrl tag='BUTTON' type='button' aaname='Finish' /&gt;" TimeoutMS="1000">
                  <ui:Target.WaitForReady>
                    <InArgument x:TypeArguments="ui:WaitForReady" />
                  </ui:Target.WaitForReady>
                </ui:Target>
              </ui:UiElementExists.Target>
            </ui:UiElementExists>
            <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Delay_1">
              <TextExpression.Namespaces>
                <sco:Collection x:TypeArguments="x:String">
                  <x:String>System.Activities</x:String>
                  <x:String>System.Activities.Statements</x:String>
                  <x:String>System.Activities.Expressions</x:String>
                  <x:String>System.Activities.Validation</x:String>
                  <x:String>System.Activities.XamlIntegration</x:String>
                  <x:String>Microsoft.VisualBasic.Activities</x:String>
                  <x:String>System</x:String>
                  <x:String>System.Collections.Generic</x:String>
                  <x:String>System.Data</x:String>
                  <x:String>System.Diagnostics</x:String>
                  <x:String>System.IO</x:String>
                  <x:String>System.Linq</x:String>
                  <x:String>System.Management.Automation</x:String>
                  <x:String>System.Net.Mail</x:String>
                  <x:String>System.Xml</x:String>
                  <x:String>System.Xml.Linq</x:String>
                  <x:String>UiPath.Library</x:String>
                  <x:String>System.Windows.Markup</x:String>
                </sco:Collection>
              </TextExpression.Namespaces>
              <TextExpression.References>
                <sco:Collection x:TypeArguments="AssemblyReference">
                  <AssemblyReference>System.Activities</AssemblyReference>
                  <AssemblyReference>mscorlib</AssemblyReference>
                  <AssemblyReference>System.Data</AssemblyReference>
                  <AssemblyReference>System</AssemblyReference>
                  <AssemblyReference>System.Core</AssemblyReference>
                  <AssemblyReference>System.Management.Automation</AssemblyReference>
                  <AssemblyReference>System.Xml</AssemblyReference>
                  <AssemblyReference>System.Xml.Linq</AssemblyReference>
                  <AssemblyReference>UiPath.Library</AssemblyReference>
                  <AssemblyReference>PresentationFramework</AssemblyReference>
                  <AssemblyReference>WindowsBase</AssemblyReference>
                  <AssemblyReference>PresentationCore</AssemblyReference>
                  <AssemblyReference>System.Xaml</AssemblyReference>
                </sco:Collection>
              </TextExpression.References>
              <sap2010:WorkflowViewState.ViewStateManager>
                <sap2010:ViewStateManager>
                  <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
                </sap2010:ViewStateManager>
              </sap2010:WorkflowViewState.ViewStateManager>
            </Delay>
            <Assign DisplayName="Increase counter" sap:VirtualizedContainerService.HintSize="334,60" sap2010:WorkflowViewState.IdRef="Assign_3">
              <Assign.To>
                <OutArgument x:TypeArguments="x:Int32">[counter]</OutArgument>
              </Assign.To>
              <Assign.Value>
                <InArgument x:TypeArguments="x:Int32">[counter+1]</InArgument>
              </Assign.Value>
            </Assign>
          </Sequence>
        </ui:InterruptibleDoWhile.Body>
      </ui:InterruptibleDoWhile>
      <If Condition="[counter&lt;30]" DisplayName="If Finalised" sap:VirtualizedContainerService.HintSize="521,393" sap2010:WorkflowViewState.IdRef="If_47">
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            <x:Boolean x:Key="IsPinned">False</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
        <If.Else>
          <Sequence DisplayName="AE - Unable to confirm if quote finalised, Finish button did not disappear" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_61">
            <sap:WorkflowViewStateService.ViewState>
              <scg:Dictionary x:TypeArguments="x:String, x:Object">
                <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              </scg:Dictionary>
            </sap:WorkflowViewStateService.ViewState>
            <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_40" Level="Error" Message="[componentName+&quot;: Unable to confirm if quote finalised, Finish button did not disappear&quot;]" />
            <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: Unable to confirm if quote finalised, Finish button did not disappear&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_36" />
          </Sequence>
        </If.Else>
      </If>
    </Sequence>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="663,91" sap2010:WorkflowViewState.IdRef="LogMessage_13" Level="Info" Message="[&quot;End: &quot;+componentName]" />
  </Sequence>
</Activity>